Bullet Collision Detection & Physics Library: PreallocatedMemoryHelper< N > Class Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | List of all members
PreallocatedMemoryHelper< N > Class Template Reference
Collaboration diagram for PreallocatedMemoryHelper< N >:
[legend]

## Classes
struct | Chunk

## Public Member Functions
| PreallocatedMemoryHelper ()
void | addChunk (void **ptr, size_t sz)
size_t | getSizeToAllocate () const
void | setChunkPointers (void *mem) const

## Private Attributes
Chunk | m_chunks [N]
int | m_numChunks

## Detailed Description

template<int N>
class PreallocatedMemoryHelper< N >

Definition at line 608 of file btBatchedConstraints.cpp.

## Constructor & Destructor Documentation

## ◆ PreallocatedMemoryHelper()

template<int N>

PreallocatedMemoryHelper< N >::PreallocatedMemoryHelper | ( |  | ) |
| inline

Definition at line 619 of file btBatchedConstraints.cpp.

## Member Function Documentation

## ◆ addChunk()

template<int N>

void PreallocatedMemoryHelper< N >::addChunk | ( | void ** | ptr,
|  | size_t | sz )
| inline

Definition at line 620 of file btBatchedConstraints.cpp.

## ◆ getSizeToAllocate()

template<int N>

size_t PreallocatedMemoryHelper< N >::getSizeToAllocate | ( |  | ) | const
| inline

Definition at line 631 of file btBatchedConstraints.cpp.

## ◆ setChunkPointers()

template<int N>

void PreallocatedMemoryHelper< N >::setChunkPointers | ( | void * | mem | ) | const
| inline

Definition at line 640 of file btBatchedConstraints.cpp.

## Member Data Documentation

## ◆ m_chunks

template<int N>

Chunk PreallocatedMemoryHelper< N >::m_chunks[N]
| private

Definition at line 615 of file btBatchedConstraints.cpp.

## ◆ m_numChunks

template<int N>

int PreallocatedMemoryHelper< N >::m_numChunks
| private

Definition at line 616 of file btBatchedConstraints.cpp.

The documentation for this class was generated from the following file:

- btBatchedConstraints.cpp